From 9b33b2ffdedcaf61e453ad41f09342af4e147ae7 Mon Sep 17 00:00:00 2001
From: barracuda156 <vital.had@gmail.com>
Date: Wed, 26 Jul 2023 18:29:26 +0800
Subject: [PATCH] Use correct clang options in CMakeLists

---
 CMakeLists.txt | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git CMakeLists.txt CMakeLists.txt
index c333e83aa..80213d700 100644
--- CMakeLists.txt
+++ CMakeLists.txt
@@ -32,7 +32,7 @@ project(Csound)
 
 ENABLE_TESTING()
 
-if (${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang")
+if (${CMAKE_CXX_COMPILER_ID} MATCHES "Clang")
   set(CMAKE_COMPILER_IS_CLANG 1)
 endif()
 
@@ -304,8 +304,10 @@ endif()
 
 # MacOS/IOS c++11 flags
 if(APPLE)
-    set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-    set_target_properties(${CSOUNDLIB} PROPERTIES CXX_COMPILE_FLAGS  "-std=c++11")
+    if(${CMAKE_CXX_COMPILER_ID} MATCHES "Clang")
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
+    endif()
+    set_target_properties(${CSOUNDLIB} PROPERTIES CXX_COMPILE_FLAGS "-std=c++11")
 endif()
 
 set(BUILD_DIR ${CMAKE_CURRENT_BINARY_DIR})

From 97c6fe6315d1ac5ac7d3570a9dd23d5ed2fdad68 Mon Sep 17 00:00:00 2001
From: barracuda156 <vital.had@gmail.com>
Date: Wed, 26 Jul 2023 19:26:35 +0800
Subject: [PATCH] Opcodes/CMakeLists: also does not hardcode C++ runtime

---
 Opcodes/CMakeLists.txt | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git Opcodes/CMakeLists.txt Opcodes/CMakeLists.txt
index 82327ed3d..1e2097676 100644
--- Opcodes/CMakeLists.txt
+++ Opcodes/CMakeLists.txt
@@ -61,8 +61,12 @@ endif()
 if(BUILD_PADSYNTH_OPCODES)
 if(APPLE)
   make_plugin(padsynth padsynth_gen.cpp)
-  set_target_properties(padsynth PROPERTIES COMPILE_FLAGS "-std=gnu++11 -stdlib=libc++"
-    LINK_FLAGS "-std=gnu++11 -stdlib=libc++")
+  if(${CMAKE_CXX_COMPILER_ID} MATCHES "Clang")
+    set_target_properties(padsynth PROPERTIES COMPILE_FLAGS "-std=gnu++11 -stdlib=libc++"
+      LINK_FLAGS "-std=gnu++11 -stdlib=libc++")
+  else()
+    set_target_properties(padsynth PROPERTIES COMPILE_FLAGS "-std=gnu++11")
+  endif()
 elseif(LINUX)
     include(CheckCXXCompilerFlag)
     CHECK_CXX_COMPILER_FLAG("-std=gnu++11" COMPILER_SUPPORTS_CXX11)
